<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
   

    
   <h:body>

       

        <h:form prependId="false">
            <p:growl autoUpdate="false" id="growl" />
            <p:fieldset legend="Cadastro de Livro">
                <p:panelGrid columns="2" id="painel">
                    <f:facet name="header">
                        Dados do Livro
                    </f:facet>
                    <p:outputLabel value="Codigo:" for="codigo" />
                    <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{livroBean.codigo}" />
                    
                    <p:outputLabel value="Nome:" for="nome" />
                    <h:panelGroup >
                        <p:inputText id="nome" required="true" style="width: 400px" 
                                     placeholder="Entre com o titulo do livro" value="#{livroBean.livro.titulo}" />
                        <p:message for="nome" />
                    </h:panelGroup>
                    
                     <p:outputLabel value="Preco:" for="preco" />
                    <h:panelGroup >
                        <p:inputText id="preco" required="true" style="width: 400px" 
                                     placeholder="Entre com o valor do livro" value="#{livroBean.livro.preco}" />
                        <p:message for="preco" />
                    </h:panelGroup>
                     
                     
                     
                    <f:facet name="footer">
                        <p:commandButton value="Salvar" icon="fa-save"  action="#{livroBean.salvar}" update="growl,painel,tabela" />
                        <p:spacer width="20px" />
                        <p:commandButton value="Novo" icon="fa-save"  ajax="false" action="#{livroBean.novo}"/>
                    </f:facet>
                </p:panelGrid>
                <h:inputHidden value="#{livroBean.livro.id}" />
            </p:fieldset>

            <p:spacer height="20px" />

            <p:fieldset legend="Lista de livros" >
                <p:dataTable value="#{livroBean.lista}" var="cliente" id="tabela">
                    <p:column headerText="Código" style="width: 80px; text-align: center">
                        <h:outputText value="#{livro.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{livro.tiulo}" />
                    </p:column>
                    <p:column headerText="Telefone">
                        <h:outputText value="#{livro.preco}" />
                    </p:column>
                    <p:column style="width: 100px; text-align: center">
                        <p:commandButton  icon="ui-icon-pencil
 " title="Editar" ajax="false" immediate="true">
                            <f:setPropertyActionListener target="#{clienteBean.cliente}" value="#{cliente}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{clienteBean.excluir(cliente)}" process="@this" update="growl , tabela"  />

                    </p:column>




                </p:dataTable>

            </p:fieldset>
        </h:form>





    </h:body>
</html>

